/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Melisande\Quest\FrightenedDryadQuest.cs
Lines of code: 63
***********************************************************/


using System;
using Server;
using Server.Mobiles;
using Server.Items;

namespace Server.Engines.Quests.FrightenedDryad
{
	public class FrightenedDryadQuest : QuestSystem
	{
			private static Type[] m_TypeReferenceTable = new Type[]
			{
				typeof( DontOfferConversation ),
				typeof( AcceptConversation ),
				typeof( NotDoneConversation ),
				typeof( EndConversation )
			};

		public override Type[] TypeReferenceTable{ get{ return m_TypeReferenceTable; } }

		public override object Name
		{
			get
			{
				return "Bound to the Land";
			}
		}

		public override object OfferMessage
		{
			get
			{
				return 1074434;
				/*
				Oh help! Help me!  I don't want to end up like my sisters, enslaved by the cruel Melisande. 
				I cannot flee, I am bound here by the evil of the harpy Saliva.  Won't you please help me
				and redeem my sisters at the same time?  I will grant you my blessing in return.
				*/
			}
		}

		public override TimeSpan RestartDelay{ get{ return TimeSpan.Zero; } }
		public override bool IsTutorial{ get{ return false; } }

		public override int Picture{ get{ return 0x15C9; } }


		public FrightenedDryadQuest( PlayerMobile from) : base( from )
		{
			
		}

		// Serialization
		public FrightenedDryadQuest()
		{
		}

		public override void ChildDeserialize( GenericReader reader )
		{
			int version = reader.ReadEncodedInt();
			
		}

		public override void ChildSerialize( GenericWriter writer )
		{
			writer.WriteEncodedInt( (int) 0 ); // version
			
		}

		public override void Accept()
		{
			base.Accept();

			AddConversation( new AcceptConversation() );
		}



		public static bool GiveRewardTo( PlayerMobile player )
		{
		player.SendMessage("You have been given the dryad's blessing.  You can use that to retrieve the key to summon Lady Melissande.");
		player.GiveItem(new DryadsBlessing());
		
		FrightenedDryadQuest qs = player.Quest as FrightenedDryadQuest;
		if(qs==null)return true; //this should not happen, but just to be safe		
		qs.Complete();
		return true;
		}
	}
}